com.unitech.lib.uhf.params

## Class TagExtParam

- java.lang.Object
- - com.unitech.lib.uhf.params.TagExtParam

-     public class TagExtParam
      extends java.lang.Object

  The TagExtParam class is used to pass the tag information.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TagExtParam(byte[] epc, byte[] tid, byte[] pc, short antenna, long frequency, int rssi, short q)`
    `TagExtParam(int rssi)`
    `TagExtParam(int rssi, int frequency)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `short` | `antenna()` Returns the antenna at which tag was detected.
    `byte[]` | `epc()` Returns the tag's EPC value.
    `java.lang.String` | `getEpc()` Returns the tag's EPC value with HEX format.
    `float` | `getFrequency()` Returns the tag's frequency value.
    `java.lang.String` | `getPC()` Returns the tag's PC value with HEX format.
    `float` | `getRssi()` Returns the tag's RSSI value.
    `java.lang.String` | `getTID()` Returns the tag's TID value with HEX format.
    `byte[]` | `pc()` Returns the tag's PC value.
    `short` | `Q()` Current Q.
    `byte[]` | `tid()` Returns the tag's TID value.
    `java.lang.String` | `toString()` Returns the tag's RSSI and frequency

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TagExtParam

          public TagExtParam(int rssi)

    - #### TagExtParam

          public TagExtParam(int rssi,
                             int frequency)

    - #### TagExtParam

          public TagExtParam(byte[] epc,
                             byte[] tid,
                             byte[] pc,
                             short antenna,
                             long frequency,
                             int rssi,
                             short q)

  - ### Method Detail

    - #### getRssi

          public float getRssi()

      Returns the tag's RSSI value.
      Returns:
        The tag's RSSI value.

    - #### getFrequency

          public float getFrequency()

      Returns the tag's frequency value.
      Returns:
        The tag's frequency value.

    - #### toString

          public java.lang.String toString()

      Returns the tag's RSSI and frequency
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        The tag's RSSI and frequency

    - #### getEpc

          public java.lang.String getEpc()

      Returns the tag's EPC value with HEX format.
      Returns:
        The tag's EPC value.

    - #### epc

          public byte[] epc()

      Returns the tag's EPC value.
      Returns:
        An array to contain the tag's EPC value

    - #### getTID

          public java.lang.String getTID()

      Returns the tag's TID value with HEX format.
      Returns:
        The tag's TID value.

    - #### tid

          public byte[] tid()

      Returns the tag's TID value.
      Returns:
        An array to contain the tag's TID value

    - #### getPC

          public java.lang.String getPC()

      Returns the tag's PC value with HEX format.
      Returns:
        The tag's pc value.

    - #### pc

          public byte[] pc()

      Returns the tag's PC value.
      Returns:
        An array to contain the tag's pc value

    - #### antenna

          public short antenna()

      Returns the antenna at which tag was detected.
      Returns:
        The antenna ID

    - #### Q

          public short Q()

      Current Q.
      Returns:
        The Q value